package main.maps;

import main.Tile;

public class Corridor extends Map {

	public Corridor() {
		super(15, 11);

		for (int x = 0; x < tiles.length; x++) {
			for (int y = 0; y < tiles[0].length; y++) {
				// Wand
				if ((y == 0 || x == 5 || y == 10 || x == 9) && x != 7 && x >= 5 && x <= 9) {
					tiles[x][y] = new Tile(Tile.STONE_WALL, x, y);
					add(tiles[x][y]);
				}
				// 3D-Wand
				else if (y == 1 && (x != 0 || x != 4) && x != 7 && x >= 6 && x <= 8) {
					tiles[x][y] = new Tile(Tile.STONE_WALL_BOTTOM, x, y);
					add(tiles[x][y]);
				}
				// Steinboden
				else if (x >= 6 && x <= 8) {
					if (x == 7 && (y == 0 || y == tiles[0].length - 1)) {
					} else {
						tiles[x][y] = new Tile(Tile.STONE_FLOOR, x, y);
						add(tiles[x][y]);
					}
				} else {
					tiles[x][y] = new Tile(Tile.VOID, x, y);
					add(tiles[x][y]);
				}
			}
		}
	}

	@Override
	public Map clone() {
		Corridor c = new Corridor();
		c.cloneTiles(this);
		return c;
	}
}
